org.apache.ignite.internal.visor.node

## Class VisorNodeDataCollectorTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorNodeDataCollectorTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorNodeDataCollectorTaskArg
    extends VisorDataTransferObject

Data collector task arguments.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeDataCollectorTaskArg()` Default constructor.
`VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled, String evtOrderKey, String evtThrottleCntrKey, boolean sysCaches)` Create task arguments with given parameters.
`VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled, String evtOrderKey, String evtThrottleCntrKey, boolean sysCaches, boolean collectCacheMetrics)` Create task arguments with given parameters.
`VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled, String evtOrderKey, String evtThrottleCntrKey, boolean sysCaches, boolean collectCacheMetrics, Set<String> cacheGrps)` Create task arguments with given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<String>` `getCacheGroups()`
`String` `getEventsOrderKey()`
`String` `getEventsThrottleCounterKey()`
`byte` `getProtocolVersion()`
`boolean` `getSystemCaches()`
`boolean` `isCollectCacheMetrics()`
`boolean` `isTaskMonitoringEnabled()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setCacheGroups(Set<String> cacheGrps)`
`void` `setCollectCacheMetrics(boolean collectCacheMetrics)`
`void` `setEventsOrderKey(String evtOrderKey)`
`void` `setEventsThrottleCounterKey(String evtThrottleCntrKey)`
`void` `setSystemCaches(boolean sysCaches)`
`void` `setTaskMonitoringEnabled(boolean taskMonitoringEnabled)`
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeDataCollectorTaskArg

    public VisorNodeDataCollectorTaskArg()

Default constructor.

#### VisorNodeDataCollectorTaskArg

    public VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled,
                                         String evtOrderKey,
                                         String evtThrottleCntrKey,
                                         boolean sysCaches,
                                         boolean collectCacheMetrics,
                                         Set<String> cacheGrps)

Create task arguments with given parameters.

Parameters:
  `taskMonitoringEnabled` - If `true` then Visor should collect information about tasks.
  `evtOrderKey` - Event order key, unique for Visor instance.
  `evtThrottleCntrKey` - Event throttle counter key, unique for Visor instance.
  `sysCaches` - If `true` then collect information about system caches.
  `collectCacheMetrics` - If `false` then cache metrics will not be collected.
  `cacheGrps` - Optional Set of cache groups, if provided, then caches only from that groups will be collected.

#### VisorNodeDataCollectorTaskArg

    public VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled,
                                         String evtOrderKey,
                                         String evtThrottleCntrKey,
                                         boolean sysCaches,
                                         boolean collectCacheMetrics)

Create task arguments with given parameters.

Parameters:
  `taskMonitoringEnabled` - If `true` then Visor should collect information about tasks.
  `evtOrderKey` - Event order key, unique for Visor instance.
  `evtThrottleCntrKey` - Event throttle counter key, unique for Visor instance.
  `sysCaches` - If `true` then collect information about system caches.
  `collectCacheMetrics` - If `false` then cache metrics will not be collected.

#### VisorNodeDataCollectorTaskArg

    public VisorNodeDataCollectorTaskArg(boolean taskMonitoringEnabled,
                                         String evtOrderKey,
                                         String evtThrottleCntrKey,
                                         boolean sysCaches)

Create task arguments with given parameters.

Parameters:
  `taskMonitoringEnabled` - If `true` then Visor should collect information about tasks.
  `evtOrderKey` - Event order key, unique for Visor instance.
  `evtThrottleCntrKey` - Event throttle counter key, unique for Visor instance.
  `sysCaches` - If `true` then collect information about system caches.

### Method Detail

#### isTaskMonitoringEnabled

    public boolean isTaskMonitoringEnabled()

Returns:
  `true` if Visor should collect information about tasks.

#### setTaskMonitoringEnabled

    public void setTaskMonitoringEnabled(boolean taskMonitoringEnabled)

Parameters:
  `taskMonitoringEnabled` - If `true` then Visor should collect information about tasks.

#### getEventsOrderKey

    public String getEventsOrderKey()

Returns:
  Key for store and read last event order number.

#### setEventsOrderKey

    public void setEventsOrderKey(String evtOrderKey)

Parameters:
  `evtOrderKey` - Key for store and read last event order number.

#### getEventsThrottleCounterKey

    public String getEventsThrottleCounterKey()

Returns:
  Key for store and read events throttle counter.

#### setEventsThrottleCounterKey

    public void setEventsThrottleCounterKey(String evtThrottleCntrKey)

Parameters:
  `evtThrottleCntrKey` - Key for store and read events throttle counter.

#### getSystemCaches

    public boolean getSystemCaches()

Returns:
  `true` if Visor should collect metrics for system caches.

#### setSystemCaches

    public void setSystemCaches(boolean sysCaches)

Parameters:
  `sysCaches` - `true` if Visor should collect metrics for system caches.

#### isCollectCacheMetrics

    public boolean isCollectCacheMetrics()

Returns:
  If `false` then cache metrics will not be collected.

#### setCollectCacheMetrics

    public void setCollectCacheMetrics(boolean collectCacheMetrics)

Parameters:
  `collectCacheMetrics` - If `false` then cache metrics will not be collected.

#### getCacheGroups

    public Set<String> getCacheGroups()

Returns:
  Optional cache group, if provided, then caches only from that group will be collected.

#### setCacheGroups

    public void setCacheGroups(Set<String> cacheGrps)

Parameters:
  `cacheGrps` - Optional Set of cache groups, if provided, then caches only from that groups will be collected.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorDataTransferObject`
Returns:
  Transfer object version.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018